<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Result extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'user_id',
        // 'personality_id',
        'overall_personality',
        'overall_score',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function personality()
    {
        return $this->belongsToMany(Personality::class);
    }
}
